View Issue Details

IDProjectCategoryView StatusLast Update
0001811SymmetricDSImprovementpublic2014-07-29 16:50
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.3 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001811: Add new transform types that will put the source catalog, schema or table names into a column
DescriptionAdd new transform types that will put the source catalog, schema or table names into a column
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 92dd5fab

2014-07-15 09:57:42

chenson

Details Diff
0001811: Add new transform types that will put the source catalog, schema or table names into a column
0001811
add - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/SourceCatalogNameColumnTransform.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/SourceSchemaNameColumnTransform.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/SourceTableNameColumnTransform.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ExtractDataReader.java Diff File

SymmetricDS: master 38e3af6e

2014-07-28 09:32:40

chenson

Details Diff
0001811: Add new transform types that will put the source catalog, schema or table names into a column
0001811
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/Constants.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ExtractDataReader.java Diff File

Issue History

Date Modified Username Field Change
2014-07-15 09:57 chenson New Issue
2014-07-15 09:57 chenson Status new => assigned
2014-07-15 09:57 chenson Assigned To => chenson
2014-07-15 09:57 chenson Status assigned => resolved
2014-07-15 09:57 chenson Fixed in Version => 3.6.3
2014-07-15 09:57 chenson Resolution open => fixed
2014-07-15 10:00 chenson Changeset attached => SymmetricDS trunk r8477
2014-07-28 10:00 chenson Changeset attached => SymmetricDS trunk r8506
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 38e3af6e
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 92dd5fab